## GucharmapCharmap

GucharmapCharmap

## Functions

GtkWidget * | gucharmap_charmap_new ()
void | gucharmap_charmap_set_active_character ()
gunichar | gucharmap_charmap_get_active_character ()
void | gucharmap_charmap_set_active_chapter ()
char * | gucharmap_charmap_get_active_chapter ()
void | gucharmap_charmap_set_font_desc ()
void | gucharmap_charmap_set_font_fallback ()
gboolean | gucharmap_charmap_get_font_fallback ()
GucharmapChartable * | gucharmap_charmap_get_chartable ()
GucharmapChaptersView * | gucharmap_charmap_get_chapters_view ()
void | gucharmap_charmap_set_chapters_model ()
GucharmapChaptersModel * | gucharmap_charmap_get_chapters_model ()
GucharmapCodepointList * | gucharmap_charmap_get_book_codepoint_list ()

## Properties

char * | active-chapter | Read / Write
guint | active-character | Read / Write
GucharmapCodepointList * | active-codepoint-list | Read
guint | active-page | Read / Write
GucharmapChaptersModel * | chapters-model | Write / Construct
PangoFontDescription * | font-desc | Read / Write
gboolean | font-fallback | Read / Write
gboolean | snap-power-2 | Read / Write

## Signals

void | link-clicked | Run First
void | status-message | Run First

## Types and Values

| GucharmapCharmapPrivate
struct | GucharmapCharmap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── GucharmapCharmap

## Implemented Interfaces

GucharmapCharmap implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gucharmap_charmap_new ()

    GtkWidget *
    gucharmap_charmap_new (void);

### gucharmap_charmap_set_active_character ()

    void
    gucharmap_charmap_set_active_character
                                   (GucharmapCharmap *charmap,
                                    gunichar uc);

### gucharmap_charmap_get_active_character ()

    gunichar
    gucharmap_charmap_get_active_character
                                   (GucharmapCharmap *charmap);

### gucharmap_charmap_set_active_chapter ()

    void
    gucharmap_charmap_set_active_chapter (GucharmapCharmap *charmap,
                                          const gchar *chapter);

### gucharmap_charmap_get_active_chapter ()

    char *
    gucharmap_charmap_get_active_chapter (GucharmapCharmap *charmap);

### gucharmap_charmap_set_font_desc ()

    void
    gucharmap_charmap_set_font_desc (GucharmapCharmap *charmap,
                                     PangoFontDescription *font_desc);

Sets `font_desc` as the font to use to display the character table.

#### Parameters

font_desc | a PangoFontDescription |

### gucharmap_charmap_set_font_fallback ()

    void
    gucharmap_charmap_set_font_fallback (GucharmapCharmap *charmap,
                                         gboolean enable_font_fallback);

#### Parameters

charmap | a GucharmapCharmap |
enable_font_fallback | whether to enable font fallback |

Since: 2.34

### gucharmap_charmap_get_font_fallback ()

    gboolean
    gucharmap_charmap_get_font_fallback (GucharmapCharmap *charmap);

#### Parameters

charmap | a GucharmapCharmap |

#### Returns

whether font fallback is enabled

Since: 2.34

### gucharmap_charmap_get_chartable ()

    GucharmapChartable *
    gucharmap_charmap_get_chartable (GucharmapCharmap *charmap);

#### Parameters

charmap | a GucharmapCharmap |

#### Returns

a GucharmapChartable.

[transfer none]

### gucharmap_charmap_get_chapters_view ()

    GucharmapChaptersView *
    gucharmap_charmap_get_chapters_view (GucharmapCharmap *charmap);

Gets the GucharmapChaptersView of `charmap`

#### Parameters

charmap | a GucharmapCharmap |

#### Returns

the GucharmapChaptersView.

[transfer none]

### gucharmap_charmap_set_chapters_model ()

    void
    gucharmap_charmap_set_chapters_model (GucharmapCharmap *charmap,
                                          GucharmapChaptersModel *model);

### gucharmap_charmap_get_chapters_model ()

    GucharmapChaptersModel *
    gucharmap_charmap_get_chapters_model (GucharmapCharmap *charmap);

Gets the GucharmapChaptersModel associated with the GucharmapChaptersView of `charmap` .

#### Parameters

charmap | a GucharmapCharmap |

#### Returns

a GucharmapChaptersModel.

[transfer none]

### gucharmap_charmap_get_book_codepoint_list ()

    GucharmapCodepointList *
    gucharmap_charmap_get_book_codepoint_list
                                   (GucharmapCharmap *charmap);

#### Parameters

charmap | a GucharmapCharmap |

#### Returns

the GucharmapCodepointList. Must be freed with `g_object_unref()`.

[transfer full]

## Types and Values

### GucharmapCharmapPrivate

    typedef struct _GucharmapCharmapPrivate GucharmapCharmapPrivate;

### struct GucharmapCharmap

    struct GucharmapCharmap;

## Property Details

### The `“active-chapter”` property

      “active-chapter”           char *

Owner: GucharmapCharmap

Flags: Read / Write

Default value: NULL

### The `“active-character”` property

      “active-character”         guint

Owner: GucharmapCharmap

Flags: Read / Write

Allowed values: <= 1114111

Default value: 0

### The `“active-codepoint-list”` property

      “active-codepoint-list”    GucharmapCodepointList *

Owner: GucharmapCharmap

Flags: Read

### The `“active-page”` property

      “active-page”              guint

Owner: GucharmapCharmap

Flags: Read / Write

Default value: 0

### The `“chapters-model”` property

      “chapters-model”           GucharmapChaptersModel *

Owner: GucharmapCharmap

Flags: Write / Construct

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

Owner: GucharmapCharmap

Flags: Read / Write

### The `“font-fallback”` property

      “font-fallback”            gboolean

Whether font fallback is enabled.

Owner: GucharmapCharmap

Flags: Read / Write

Default value: TRUE

Since: 2.34

### The `“snap-power-2”` property

      “snap-power-2”             gboolean

Owner: GucharmapCharmap

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“link-clicked”` signal

    void
    user_function (GucharmapCharmap *gucharmapcharmap,
                   guint             arg1,
                   guint             arg2,
                   gpointer          user_data)

Flags: Run First

### The `“status-message”` signal

    void
    user_function (GucharmapCharmap *gucharmapcharmap,
                   char             *arg1,
                   gpointer          user_data)

Flags: Run First